<template>
	<div class="title-box">
		<el-button
			v-if="showExist"
			icon="ele-ArrowLeft"
			link
			style="margin-right: 10px; margin-left: 10px; width: 40px"
			size="small"
			@click="handleExitClick"
		>
		</el-button>
		<div class="title-icon"></div>
		<div style="flex: 1">
			<div class="title">{{ title }}</div>
			<ToolbarMenu v-for="(content, index) in menuList" :key="'bar-' + index" :content="(content as any)" />
		</div>
	</div>
</template>

<script setup lang="ts">
import { definePropType } from 'element-plus/es/utils/vue/props/runtime';
import type { ButtonComponentProps } from './types';
import ToolbarMenu from '/@/components/flow/ToolbarMenu.vue';

const props = defineProps({
	menuList: {
		type: definePropType<ButtonComponentProps[]>(Array),
	},
	title: {
		type: String,
	},
	showExist: {
		type: Boolean,
		default: true,
	},
});

const emits = defineEmits(['exitFlow']);
const handleExitClick = () => {
	emits('exitFlow');
};
</script>
<style scoped lang="scss">
.title-icon {
	width: 40px;
	height: 40px;
	background: #d8e8ff;
	position: relative;
	margin-right: 5px;
}
.title-icon:before {
	content: ' ';
	display: block;
	width: 18px;
	height: 19px;
	background: #3c8efd;
	position: absolute;
	bottom: 0;
}
.title-box {
	display: flex;

	align-items: center;
	background-color: white;
	.title {
		color: #191919;
		font-weight: 600;
		font-size: 18px;
		margin-left: 10px;
		display: inline-block;
	}
}
</style>
